<?php
if ($STATE_PlayerEquipeLinks_ACTIF != 1)
{
$STATE_PlayerEquipeLinks_ACTIF = 1;
$STATE_PlayerEquipeLinks_INACTIF = 0;

$STATE_Tournoi_ACTIF = 1;
$STATE_Tournoi_INACTIF = 0;

$TYPE_Tournoi_COURT = 1;
$TYPE_Tournoi_LONG = 2;
$TYPE_Tournoi_SUPPORTER = 3;
$TYPE_Tournoi_DEFI = 4;

function getEquipe($EquipeId)
{
  if ($EquipeId <= 0)
  	return;

  $row = main_db_query("SELECT * FROM Equipes WHERE Id = '".$EquipeId."'");
  return db_fetch_array($row);
}

function nextVal($rank, $MAX_SCORES)
{
	if ($rank < ($MAX_SCORES /2))
		return strval(intval($MAX_SCORES*1.5));
	else
		return strval($rank + $MAX_SCORES);
}

function previousVal ($rank, $MAX_SCORES)
{
	if ($rank < ($MAX_SCORES /2))
		return 0;
	else
		return strval($rank - $MAX_SCORES);
}


function rank_Equipe($Score, $EquipeId)
{
	$rows = main_db_query("SELECT * FROM Equipes WHERE ((Name < '".$Score."') OR (Name='".$Score."' AND Id<'".$EquipeId."')) AND (Population>0)");
	return (db_num_rows($rows)+1);
}


function formatTime($ms)
{
	$cent = floor($ms / 10);
	$sec = floor($cent / 100);
	$cent = $cent % 100;
	$min = floor($sec / 60);
	$sec = $sec % 60;

	if ($min <= 0)
		$minChar = "   ";
	else
		$minChar = number_format($min, 0)."'";

	$secChar = number_format($sec, 0);
	if ($sec < 10)
		$secChar = "0".$secChar;

	$centChar = number_format($cent, 0);
	if ($cent < 10)
		$centChar = "0".$centChar;

	return $minChar.$secChar."''".$centChar;
}

function getScore($Id, $IsPlayer, &$Result)
{
	return 0;
}

// maj_tournoi
// récupère les matchs qui ne sont pas encore liés au tournoi, et qui devraient l'êtr
// utile pour les tournois type long & supporter, ou on définit le tournoi avant d'avoir les matchs

function maj_tournoi($TournoiId)
{
	global $TYPE_Tournoi_COURT, $TYPE_Tournoi_LONG, $TYPE_Tournoi_SUPPORTER, $TYPE_Tournoi_DEFI;
	global $current_european_date;

	if (!($TournoiId > 0))
		return;

	$tournoi = db_fetch_array(main_db_query("SELECT * FROM Tournois WHERE Id='".$TournoiId."'"));
	if (!($tournoi['Id'] > 0))
		return;

	if ($tournoi['MType'] == $TYPE_Tournoi_COURT)
		// matchs prédéfinis, rien à faire
		return;
	
	if ($tournoi['MType'] == $TYPE_Tournoi_LONG)
	{
//		echo "Type long<br>";
		// on récupère tous les matchs à venir du container associé
		$query = "SELECT CategoryId FROM Categories WHERE EndTime<'".$tournoi['EndTime']."' AND ShowTime>='".$tournoi['ShowTime']."' AND Container='".$tournoi['ContainerId']."'";
//		echo $query.'<br>';
		$categories = main_db_query($query);
		while ($categorie = db_fetch_array($categories))
		{
			$query = "SELECT * FROM Matchs WHERE Category='".$categorie['CategoryId']."' AND Matchs.Date>'".$tournoi['ShowTime']."' AND Matchs.Date<='".$tournoi['EndTime']."'";
//			echo $query.'<br>';
			$matchs = main_db_query($query);
			while ($mon_match = db_fetch_array($matchs))
			{
				$lien_existant = db_fetch_array(main_db_query("SELECT Id FROM TournoiMatchLinks WHERE MatchId=('".$mon_match['MatchId']."' AND TournoiId='".$TournoiId."')"));
				if (!($lien_existant['Id']>0))
					main_db_query("INSERT INTO TournoiMatchLinks (MatchId, TournoiId) VALUES ('".$mon_match['MatchId']."', '".$TournoiId."')");
			}
		}
	}
	elseif ($tournoi['MType'] == $TYPE_Tournoi_SUPPORTER)
	{
		$query = "SELECT * FROM Matchs WHERE (Matchs.Team1='".$tournoi['Team']."' OR Matchs.Team2='".$tournoi['Team']."') AND Matchs.Date>'".$current_european_date."' AND Matchs.ShowTime<='".$current_european_date."' AND Matchs.Result='0'";

		$matchs = main_db_query($query);
		while ($mon_match = db_fetch_array($matchs))
		{
			$lien_existant = db_fetch_array(main_db_query("SELECT Id FROM TournoiMatchLinks WHERE MatchId=('".$mon_match['MatchId']."' AND TournoiId='".$TournoiId."')"));
			if (!($lien_existant['Id']>0))
				main_db_query("INSERT INTO TournoiMatchLinks (MatchId, TournoiId) VALUES ('".$mon_match['MatchId']."', '".$TournoiId."')");
		}
	}
}
}
?>
